Bug 845173 - F17 GA - RaspberryPI terminal crash
F17 GA - RaspberryPI terminal crash
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Terminal (Show other bugs)
17
arm Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-02 01:49 EDT by Onuralp SEZER
Modified: 2013-08-01 13:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:31:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Terminal logger report (27.98 KB, text/plain)
2012-08-02 01:49 EDT, Onuralp SEZER
no flags Details
Xsession Error from F11-GA image (2.69 KB, application/octet-stream)
2012-08-02 09:03 EDT, Onuralp SEZER
no flags Details

  None (edit)
Description Onuralp SEZER 2012-08-02 01:49:21 EDT
Created attachment 601867 [details]
Terminal logger report

Description of problem: Terminal crashing while working on terminal


How reproducible: If I use just a little bit do something big like a "update" It's looks fine but If I do something little I don't know It's just crashed.


Steps to Reproduce:
1. Open Terminal
2. Do any command (sometimes)
3. Crashed
  
Actual results: Crashing sometimes


Expected results: Working stable and no crashing


Additional info:
Comment 1 Thomas Spura 2012-08-02 05:15:47 EDT
Thanks for the bug report.

It looks like there is some kind of pending X event, which fails and crashs or maybe crashs while logging it... (Looks like a failing assertion somewhere.)

Is there something useful in ~/.xsession-errors?
Comment 2 Onuralp SEZER 2012-08-02 08:37:59 EDT
I want to give that errors but after update It's not booting just black screen

I was updated ; ( 

raspberry-pi-firmware
raspverry-pi-kernel
raspberry-pi-firstboot
bash

And some other package but I cannot remember at all. Still updated image in SD-Card.
Comment 3 Onuralp SEZER 2012-08-02 09:03:41 EDT
Created attachment 601945 [details]
Xsession Error from F11-GA image
Comment 4 Onuralp SEZER 2012-08-02 09:04:20 EDT
Sorry ; F17-GA image (typing error)
Comment 5 Thomas Spura 2012-08-02 09:39:09 EDT
(Terminal:857): Gdk-ERROR **: The program 'Terminal' received an X Window System error.
This probably reflects a bug in the program.
The error was 'BadAlloc (insufficient resources for operation)'.
  (Details: serial 29107 error_code 11 request_code 53 minor_code 0)
  (Note to programmers: normally, X errors are reported asynchronously;
   that is, you will receive the error a while after causing it.
   To debug your program, run it with the --sync command line
   option to change this behaviour. You can then get a meaningful
   backtrace from your debugger if you break on the gdk_x_error() function.)

It would be really useful to have proper backtrace. Can you boot the machine again and regenerate the backtrace with abrt maybe?
This might be useful for this:
# debuginfo-install Terminal

Do you know, how much memory you had, when this crash appeared? Can you reproduce it?

[1] https://fedoraproject.org/wiki/How_to_debug_Xorg_problems#All_bug_reports
Comment 6 Onuralp SEZER 2012-08-02 09:56:06 EDT
https://fedorahosted.org/arm/ticket/47

I was upload there to Xorg.0.log and yum.log files but I cannot boot up after I updated so I cannot get ;

"debuginfo-install terminal"
Comment 7 Kevin Fenzi 2013-02-02 22:17:18 EST
Any news here?
Comment 8 Fedora End Of Life 2013-07-04 02:06:01 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2013-08-01 13:31:09 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.